# char_traits< CharT > Struct Template Reference
[Miscellaneous constructs used by Vaucanson]

Generic char_traits. More...

Inheritance diagram for char_traits< CharT >:
[legend]

List of all members.

## Detailed Description

### template<typename CharT>
struct vcsn::misc::char_traits< CharT >

Generic char_traits.

Provides generic char_traits to specialize std::char_traits with minimal efforts. So it should be possible to use std::basic_string with almost any type.

Definition at line 89 of file char_traits.hh.